JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom
Interface GeometryFilter

All Known Implementing Classes:
  ConnectedElementLocationFilter, ConnectedElementPointFilter, GeometryExtracter, LineStringExtracter, PointExtracter, PolygonExtracter

    public interface GeometryFilter

`GeometryCollection` classes support the concept of applying a `GeometryFilter` to the `Geometry`. The filter is applied to every element `Geometry`. A `GeometryFilter` can either record information about the `Geometry` or change the `Geometry` in some way. `GeometryFilter` is an example of the Gang-of-Four Visitor pattern.

Version:
  1.7

Method Summary
`void` `filter(Geometry geom)` Performs an operation with or on `geom`.

Method Detail

### filter

    void filter(Geometry geom)

  Performs an operation with or on `geom`.

  Parameters:
    `geom` - a `Geometry` to which the filter is applied.

JTS Topology Suite version 1.13